This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### beginShape()
Examples |
    PShape s;  // The PShape object

    void setup() {
      size(100, 100, P2D);
      s = createShape();
      s.beginShape();
      s.fill(0, 0, 255);
      s.noStroke();
      s.vertex(0, 0);
      s.vertex(0, 50);
      s.vertex(50, 0);
      s.endShape();
    }

    void draw() {
      shape(s, 25, 25);
    }
Description | This method is used to start a custom shape created with the createShape() function. It's always and only used with createShape().
Syntax |
    sh.beginShape()
    sh.beginShape(kind)
Parameters |
sh | PShape: any variable of type PShape
Returns | void
Related | endShape()

Updated on October 26, 2013 08:58:33pm PDT